nhomologicaldata.h File Reference

Deals with all the details of the cellular homology of a manifold. More...

`#include "regina-core.h"`
`#include "algebra/nmarkedabeliangroup.h"`
`#include "maths/nrational.h"`
`#include "triangulation/ntriangulation.h"`
`#include "utilities/ptrutils.h"`
`#include <algorithm>`
`#include <memory>`
`#include <vector>`
`#include <cstddef>`

## Classes

class | regina::NHomologicalData
| Data type that deals with all the detailed homological information in a manifold. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Deals with all the details of the cellular homology of a manifold.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).